%define anolis_release 2

Name:           libcap
Version:        2.69
Release:        %{anolis_release}%{?dist}
Summary:        Library for getting and setting POSIX.1e capabilities 

License:        BSD or GPLv2 
URL:            ihttps://sites.google.com/site/fullycapable/
Source0:        https://git.kernel.org/pub/scm/libs/libcap/libcap.git/snapshot/%{name}-%{version}.tar.gz
Patch0:         libcap-2.67-fix-pam-test-link-flag.patch
BuildRequires:  pam-devel perl-interpreter gcc make
Conflicts:      libcap-devel < 2.69

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package static
Summary: Static libraries for libcap development
Requires: %{name} = %{version}-%{release}

%description static
The libcap-static package contains static libraries needed to develop programs
that use libcap and need to be statically linked.

libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.


%prep
%autosetup -p1

%build
%{make_build} LIBDIR=%{_libdir} SBINDIR=%{_sbindir} PKGCONFIGDIR=%{_libdir}/pkgconfig/

%install
%make_install DESTDIR=%{buildroot} LIBDIR=%{_libdir} SBINDIR=%{_sbindir} PKGCONFIGDIR=%{_libdir}/pkgconfig/

mkdir -p %{buildroot}/%{_mandir}/man{2,3,8}
mv -f doc/*.3 %{buildroot}/%{_mandir}/man3/

%generate_compatibility_deps

%check
%make_build test

%files
%license License
%{_libdir}/*.so.*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_libdir}/security/pam_cap.so
%{abidir}/*.list
%{abidir}/libcap.dump
%{abidir}/libpsx.dump
%{abidir}/pam_cap.dump

%files static
%{_libdir}/*.a

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Nov 01 2023 U2FsdGVkX1 <U2FsdGVkX1@gmail.com> - 2.69-2
- Fix library path error of .pc file under some archs

* Wed Oct 11 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.69-1
- update to 2.69 and fix CVE-2023-2603

* Thu Feb 16 2023 Funda Wang <fundawang@yeah.net> - 2.67-1
- New version 2.67

* Tue Jan 10 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.66-1
- update version to 2.66

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 2.63-1
- Init for Anolis OS 23  
